gov.ornl.mercury3.services

## Class AbstractRetrievalId

- java.lang.Object
- - gov.ornl.mercury3.services.AbstractRetrievalId

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    RetrievalId

      public abstract class AbstractRetrievalId
      extends Object
      implements Serializable

  AbstractRetrievalId entity provides the base persistence definition of the RetrievalId entity.
  Author:
    MyEclipse Persistence Tools
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRetrievalId()` default constructor
    `AbstractRetrievalId(String sessionId, String instance, Integer transactionId, String indexName, String elementSet, Date dateTime)` full constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `Date` | `getDateTime()`
    `String` | `getElementSet()`
    `String` | `getIndexName()`
    `String` | `getInstance()`
    `String` | `getSessionId()`
    `Integer` | `getTransactionId()`
    `int` | `hashCode()`
    `void` | `setDateTime(Date dateTime)`
    `void` | `setElementSet(String elementSet)`
    `void` | `setIndexName(String indexName)`
    `void` | `setInstance(String instance)`
    `void` | `setSessionId(String sessionId)`
    `void` | `setTransactionId(Integer transactionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractRetrievalId

          public AbstractRetrievalId()

      default constructor

    - #### AbstractRetrievalId

          public AbstractRetrievalId(String sessionId,
                             String instance,
                             Integer transactionId,
                             String indexName,
                             String elementSet,
                             Date dateTime)

      full constructor

  - ### Method Detail

    - #### getSessionId

          public String getSessionId()

    - #### setSessionId

          public void setSessionId(String sessionId)

    - #### getInstance

          public String getInstance()

    - #### setInstance

          public void setInstance(String instance)

    - #### getTransactionId

          public Integer getTransactionId()

    - #### setTransactionId

          public void setTransactionId(Integer transactionId)

    - #### getIndexName

          public String getIndexName()

    - #### setIndexName

          public void setIndexName(String indexName)

    - #### getElementSet

          public String getElementSet()

    - #### setElementSet

          public void setElementSet(String elementSet)

    - #### getDateTime

          public Date getDateTime()

    - #### setDateTime

          public void setDateTime(Date dateTime)

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016. All rights reserved.